# SDPCryptoSuite::KeyParam Struct Reference

`#include <sdp.h>`

## Public Member Functions

| KeyParam (const PString &keySalt)

## Data Fields

PString | m_keySalt
PUInt64 | m_lifetime
unsigned | m_mkiIndex
unsigned | m_mkiLength

## Constructor & Destructor Documentation

SDPCryptoSuite::KeyParam::KeyParam | ( | const PString & | keySalt | ) | `[inline]`

## Field Documentation

PString SDPCryptoSuite::KeyParam::m_keySalt

PUInt64 SDPCryptoSuite::KeyParam::m_lifetime

unsigned SDPCryptoSuite::KeyParam::m_mkiIndex

unsigned SDPCryptoSuite::KeyParam::m_mkiLength

The documentation for this struct was generated from the following file:

- sdp.h